
:root{
    --prm-color:#e79f8d;
    --bg-color:#2d211f;
    --sections-bg:#130503;
}

*{
    outline:none;
    max-width:100%;
    box-sizing: border-box;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
html,body{
    height:100%;
}

a{
    color:var(--prm-color);
    text-decoration:none;
}
body{
    margin:0;
    display:flex;
    flex-direction:column;
    background:var(--bg-color);
    color:#a7847e;
}

header{
    display:flex;
    align-items:center;
    gap:20px;
    padding:15px;
    background:var(--sections-bg);
}

header .left{
    font-weight:bold;
    font-size:18px;
    color:var(--prm-color);
}

header .right{
    display:flex;
    align-items:center;
    gap:30px;
    flex:1;
   justify-content:end;
}


main{
    flex:1;
    display:flex;
    flex-direction:column;
}

footer{
    font-size:13px;
    text-align:center;
    background:var(--sections-bg);
}

footer .links{
    display:inline-flex;
    gap:10px;
    margin:10px 0;
}

section.cats{
    padding:15px;
    display:flex; 
    flex-wrap:wrap;
    gap:10px;
    font-size:14px;
    background:var(--sections-bg);
    border-top:1px solid #332a29;
    border-bottom:1px solid #281d1c;
}


section.cats a{
    color:#ffdbd0;
}
.search-input{
    display:flex;
    border-radius:50px;
}


.search-input input{
    width:100%;
    background:var(--bg-color);
    border:none;
    padding:8px 15px;
    font-size:16px;
    color:white;
    border-radius:50px 0 0 50px;
}
.search-input input::placeholder{
    color:#6c5551;
}

.search-input button{
    background:var(--bg-color);
    font-weight:bold;
    border:none;
    color:white;
    cursor:pointer;
    padding:8px 15px;
    color:#bd9b8f;
    border-radius:0 50px 50px 0; 
}


section.posts{
    text-align:center;
    padding:10px;
    font-size:14px;
    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:20px;
}

.post{
    width:300px;
    height:200px;
    display:flex;
    flex-direction:column;
}

.post-info{
    padding-top:4px;
}
.post-thumb{
    flex:1;
}

.video-holder{
    text-align:center;
}

.video{
    width:800px; 
    display:inline-block;
}

.video video{
    width:100%;
    height:500px;
    background:var(--sections-bg);
}

.post .title{
    margin-bottom:20px;
}

.related{
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:20px;
}

.related .post{
    width:300px;
}

section.content{
    padding:10px; 
}

.video .title{
    font-size:23px;
    margin:15px 0;
}

 
.video{
    margin-bottom:60px;
}

.info{
    display:flex;
    align-items:center;
    gap:10px;
    padding:10px;
}

.info .item button{
    background: #52453f; 
    color:#be9d8b;
    padding:5px 10px;
    border-radius:6px;
    border:none;
    cursor:pointer;
    transition:0.1s;
}

.info .item button:hover{
    background:#453832;
}


.related a{
    text-decoration:none;
}

.pagination{
    margin:20px 0;
    padding:20px 30px;
    text-align:center;
}

.pagination .pages{
    display:inline-flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:2px;
    width:1000px;
}

.pagination a{
    padding:6px 10px;
    background:#3f302d;
}

.pagination a:hover{
    background:#4f3d39;
}

a.new{
    color:#251207;
    background:#b47648;
    padding:2px 7px;
    border-radius:2px;
    text-decoration:none;
    font-size:12px;
    font-weight:bold;
}

@media (max-width:660px){
    .post{ width:290px;}
}

@media (max-width:620px){
    .post{width:280px;}
}


@media (max-width:580px){
     .related , .posts{flex-direction:column; }
    .related .post, .post{width:100%; height:280px;}
}

@media (max-width:500px){
    .related , .posts{flex-direction:column; }
    .related .post, .post{width:100%; height:300px;}
}

